#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-

"""
 @file altitude_view_test.py

 @author East Japan Accounting Center Co., Ltd.

 (c)2017 The University of Aizu
 This software is released under the New BSD License.

"""
import unittest
import RTC
import OpenRTM_aist
from kivy.properties import ObjectProperty
import altitude_view

from mock import Mock

class Testaltitude_view(unittest.TestCase):

    def setUp(self):

        self.m = altitude_view.ViewWidget()

    def test_view_update(self):

        self.m.heightVal = altitude_view.HeightValue()
        self.m.heightVal.set_max_val(50)
        self.m.heightVal.set_pos(10)
        self.m.ruler = altitude_view.ScaleWidget()
        self.m.bow = altitude_view.ArrowWidget()

        # self.m.scale_update()
        maxVal = self.m.ruler.max_value(self.m.heightVal.get_max_val())
        minVal = self.m.ruler.min_value(maxVal)
        middleVal = self.m.ruler.middle_value(maxVal)
        self.m.max = str(maxVal)
        self.m.min = str(minVal)
        self.m.middle = str(middleVal)

        # self.m.arrow_update()
        posVal = self.m.bow.position_value(self.m.heightVal.get_pos())
        self.m.arrow = self.m.arrow_center_y()
        self.m.position = str(posVal)
        position_center_y = self.m.arrow

        self.assertEqual(self.m.max, "50")
        self.assertEqual(self.m.min, "-25")
        self.assertEqual(self.m.middle, "25")
        self.assertEqual(self.m.position, "10")
        self.assertEqual(position_center_y, 122.33333333333333)


if __name__ == '__main__':
    unittest.main()
